parse_action

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.java_cup
Class parse_action

    java.lang.Object
      weka.core.parser.java_cup.parse_action

Direct Known Subclasses:
  nonassoc_action, reduce_action, shift_action

    public class parse_action

extends java.lang.Object

This class serves as the base class for entries in a parse action table. Full entries will either be SHIFT(state_num), REDUCE(production), NONASSOC, or ERROR. Objects of this base class will default to ERROR, while the other three types will be represented by subclasses.

Version:
  last updated: 7/2/96
Author:
  Frank Flannery
See Also:
  `reduce_action`, `shift_action`

Field Summary
`static int` | `ERROR` Constant for action type -- error action.
`static int` | `NONASSOC` Constants for action type -- reduce action.
`static int` | `REDUCE` Constants for action type -- reduce action.
`static int` | `SHIFT` Constant for action type -- shift action.

Constructor Summary
`parse_action()` Simple constructor.

Method Summary
`boolean` | `equals(java.lang.Object other)` Generic equality test.
`boolean` | `equals(parse_action other)` Equality test.
`int` | `hashCode()` Compute a hash code.
`int` | `kind()` Quick access to the type -- base class defaults to error.
`java.lang.String` | `toString()` Convert to string.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR

    public static final int ERROR

  Constant for action type -- error action.

  See Also:
    Constant Field Values

### SHIFT

    public static final int SHIFT

  Constant for action type -- shift action.

  See Also:
    Constant Field Values

### REDUCE

    public static final int REDUCE

  Constants for action type -- reduce action.

  See Also:
    Constant Field Values

### NONASSOC

    public static final int NONASSOC

  Constants for action type -- reduce action.

  See Also:
    Constant Field Values

Constructor Detail

### parse_action

    public parse_action()

  Simple constructor.

Method Detail

### kind

    public int kind()

  Quick access to the type -- base class defaults to error.

### equals

    public boolean equals(parse_action other)

  Equality test.

### equals

    public boolean equals(java.lang.Object other)

  Generic equality test.

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Compute a hash code.

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Convert to string.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD